#### FILEINFO

#### Synopsis

    HELP:   Transfer file name of original into file header [YES]
    TYPE:   NUMBER
    SYNTAX: FILEINFO/FI=YES/NO

#### Description

Transfers filename of original file into file header (z/OS only).

Parameters in the same context: ATTRIBUTES for UNIX and WINDOWS, HEADER for z/OS.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `FILEINFO=YES/NO`
  - `FI=YES/NO`
- UNIX / WINDOWS
  - See parameter ATTRIBUTES for `-attribute=attribute` option. This parameter causes original file information to be written to the FLAMFILE header.

Values

- z/OS
  - `YES` -Transfer file name of original file into/out of FLAM file header.
  - `NO` - Don't transfers filename (when compressing). On decompression, a filename is generated (FILE0001-FILE9999) which can be used for conversion rules.
- UNIX / WINDOWS
  - `none` - No information about the original file is written to the FLAMFILE. Corresponds z/OS: `FILEINFO=NO` and `HEADER=NO`.
  - `common` - The organization, the record format and the record size of the original file can be saved during the compression procedure, together with a flag which identifies the operating system in which the compression took place.
    Corresponds z/OS: `FILEINFO=NO` and `HEADER=YES`.
  - `all` - Common file information and systemspecific information about the original file.
    Corresponds z/OS: `FILEINFO=YES` and `HEADER=YES`.

Default

- z/OS
  - `YES`
- UNIX / WINDOWS
  - should be set to `-attributes=all`

Valid for

- compression
- decompression

#### Selections

- `YES - Yes, do it`
- `NO - No, don't do it`